## javax.servlet.jsp.tagext
Class PageData

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.PageData

public abstract class PageData
extends java.lang.Object

Translation-time information on a JSP page. The information corresponds to the XML view of the JSP page.

Objects of this type are generated by the JSP translator, e.g. when being pased to a TagLibraryValidator instance.

Constructor Summary
`PageData()`

Method Summary
`abstract java.io.InputStream` `getInputStream()` Returns an input stream on the XML view of a JSP page.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageData

    public PageData()

Method Detail

### getInputStream

    public abstract java.io.InputStream getInputStream()

  Returns an input stream on the XML view of a JSP page. Recall tht the XML view of a JSP page has the include directives expanded.
  Returns:
    An input stream on the document.

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.